
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android开发笔记之Android中数据的存储方式（二） / iVAN</title>

    <meta name="description" content="Android开发笔记之Android中数据的存储方式（二） 我们在实际开发中,有的时候需要储存或者备份比较复杂的数据.这些数据的特点是,内容多.结构大,比如短信备份等.我们知道SharedPreferences和Files(文本文件)储存这种数据会非常的没有效率.如果学过JavaWeb的朋友,首先可能想到的是数据库.当然了数据库是一个方案,那么是否还有其他的解决方案呢?今天我们在讲下Android开发笔记之Android中数据的存储方式(一) 提到的除了SharedPreferences和Files(文本文件)以外的其他几种数据储存方式:xml文件.SQ">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android开发笔记之Android中数据的存储方式（二）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>我们在实际开发中，有的时候需要储存或者备份比较复杂的数据。这些数据的特点是，内容多、结构大，比如短信备份等。我们知道SharedPreferences和Files（文本文件）储存这种数据会非常的没有效率。如果学过JavaWeb的朋友，首先可能想到的是数据库。当然了数据库是一个方案，那么是否还有其他的解决方案呢？今天我们在讲下Android开发笔记之Android中数据的存储方式（一） 提到的除了SharedPreferences和Files（文本文件）以外的其他几种数据储存方式：xml文件、SQLite数据和Network。</p>
<p>1.3 例子</p>
<p>　　3. xml：</p>
<p>　　小案例：下面我们有这样一个小案例：就是短信备份。我们先分析一条短信的结构（如下图）。</p>
<p>　　我们看到一条短信包括：短信内容、短信发送或接受的时间、对方号码、类型type(1为接受，2为发送)四种属性（字段）。试着用之前讲过SharedPreferences和Files（文本文件）分析怎么备份？由于SharedPreferences保存的数据只是简单的键值对形式，相对于短信这种结构复杂一些的，他显然是没法去储存的。Files倒是可以做到，定义一个结构格式去保存，但在读写的时候就变得会非常麻烦没有效率。</p>
<p>•　　XML备份原理：目前手机助手短信备份方式虽然多种，但XML格式仍然是比较经典的一种。把短信的全部按照一定的标签格式，写到XML文件中去，再把其保存到本地。从其原理可以看到我首先的就是要生成XML文件。</p>
<p>•　　XML备份短信：</p>
<p>　　　　首先介绍下它保存信息的格式：头文件、根节点（包括开始节点和结束节点）、子节点以及的他的属性等。</p>
<p>•　　布局文件：</p>
<p>&lt;RelativeLayout xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot; xmlns:tools=&quot;http://schemas.android.com/tools&quot; android:layout_width=&quot;match_parent&quot; android:layout_height=&quot;match_parent&quot; tools:context=&quot;${relativePackage}.${activityClass}&quot; &gt; &lt;Button android:layout_width=&quot;wrap_content&quot; android:layout_height=&quot;wrap_content&quot; android:text=&quot;生成XML&quot;/&gt; &lt;/RelativeLayout&gt;<br />
<br />• java代码：</p>
<p>• 如何获取系统所保存的短信，为了简介展示，这里就不用内容提供者了，我这里用for循环直接虚拟一个组短信。我们知道手机里的短信少则几条多则上千条，每条短信有四个独立属性，那么我们可以给每条短信封装成一个javabean对象，每个对象有四个常规属性。</p>
<p>•Sms.java(javabean对象)</p>
<p>package com.bokeyuan.createxml.domain; /** * 短信内容属性的JavaBean * @author * */ public class Sms { private String address; private String date; private String type; private String body; public String getAddress() { return address; } public void setAddress(String address) { this.address = address; } public String getDate() { return date; } public void setDate(String date) { this.date = date; } public String getType() { return type; } public void setType(String type) { this.type = type; } public String getBody() { return body; } public void setBody(String body) { this.body = body; } public Sms(String address, String date, String type, String body) { super(); this.address = address; this.date = date; this.type = type; this.body = body; } @Override public String toString() { return &quot;Sms [address=&quot; + address + &quot;, date=&quot; + date + &quot;, type=&quot; + type + &quot;, body=&quot; + body + &quot;]&quot;; } }<br />
<br />•　MainActivity.java</p>
<p>package com.bokeyuan.createxml; import java.io.File; import java.io.FileOutputStream; import java.io.IOException; import java.util.ArrayList; import java.util.List; import com.bokeyuan.createxml.domain.Sms; import android.app.Activity; import android.os.Bundle; import android.view.View; public class MainActivity extends Activity { private List&lt;Sms&gt; smslist; @Override protected void onCreate(Bundle savedInstanceState) { super.onCreate(savedInstanceState); setContentView(R.layout.activity_main); smslist = new ArrayList&lt;Sms&gt;(); //假设10条短信 for (int i = 0; i &lt; 10; i++) { Sms sms = new Sms(&quot;110&quot; +i+i, System.currentTimeMillis() + &quot;&quot;, &quot;1&quot;, &quot;你好，同志&quot; +i); smslist.add(sms); } } public void onClick(View v){ // StringBuffer sb = new StringBuffer(); //添加属性到sb中 sb.append(&quot;&lt;?xml version=\&quot;1.0\&quot; encoding=\&quot;utf-8\&quot;?&gt;&quot;); sb.append(&quot;&lt;messages&gt;&quot;); for (Sms sms : smslist) { 　　　　　　　sb.append(&quot;&lt;message&gt;&quot;); sb.append(&quot;&lt;address&gt;&quot;); sb.append(sms.getAddress()); sb.append(&quot;&lt;/address&gt;&quot;); sb.append(&quot;&lt;date&gt;&quot;); sb.append(sms.getDate()); sb.append(&quot;&lt;/date&gt;&quot;); sb.append(&quot;&lt;type&gt;&quot;); sb.append(sms.getType()); sb.append(&quot;&lt;/type&gt;&quot;); sb.append(&quot;&lt;body&gt;&quot;); sb.append(sms.getBody()); sb.append(&quot;&lt;/body&gt;&quot;); sb.append(&quot;&lt;/message&gt;&quot;); } sb.append(&quot;&lt;/messages&gt;&quot;); //写入外出储存路径 File file = new File(&quot;strorage/sdcard/sms.xml&quot;); try { FileOutputStream fos = new FileOutputStream(file); fos.write(sb.toString().getBytes()); fos.close(); } catch (Exception e) { // TODO Auto-generated catch block e.printStackTrace(); } } }<br />
<br />•权限：android.permission.WRITE_EXTERNAL_STORAGE</p>
<p>以上给大家介绍了Android开发笔记之Android中数据的存储方式（二）的相关知识，希望大家喜欢。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:00:46</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/android%e5%ad%98%e5%82%a8%e6%96%b9%e5%bc%8f/" title="android存储方式">android存储方式</a>, <a href="https://www.iamivan.net/tag/android%e7%9a%84%e5%ad%98%e5%82%a8%e6%96%b9%e5%bc%8f/" title="android的存储方式">android的存储方式</a>, <a href="https://www.iamivan.net/tag/android%e6%95%b0%e6%8d%ae%e5%ad%98%e5%82%a8%e6%96%b9%e5%bc%8f/" title="android数据存储方式">android数据存储方式</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android开发笔记之Android中数据的存储方式（二）的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2Zmyqb.html" rel="bookmark">Android开发笔记之Android中数据的存储方式（一）&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于开发平台来讲,如果对数据的存储有良好的支持,那么对应用程序的开发将会有很大的促进作用. 总体的来讲,数据存储方式有三种:一个是文件,一个是数据库,另一个则是网络.其中文件和数据库可能用的稍多一些,文件用起来较为方便,程序可以自己定义格式:数据库用起稍烦锁一些,但它有它的优点,比如在海量数据时性能优越,有查询功能,可以加密,可以加锁,可以跨应用,跨平台等等:网络,则用于比较重要的事情,比如科研,勘探,航空等实时采集到的数据需要马上通过网络传输到数据处理中心进行存储并进行处理,有实时性的需求等.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNQXYob.html" rel="bookmark">Android开发笔记之Android中数据的存储方式（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于开发平台来讲,如果对数据的存储有良好的支持,那么对应用程序的开发将会有很大的促进作用. 总体的来讲,数据存储方式有三种:一个是文件,一个是数据库,另一个则是网络.其中文件和数据库可能用的稍多一些,文件用起来较为方便,程序可以自己定义格式:数据库用起稍烦锁一些,但它有它的优点,比如在海量数据时性能优越,有查询功能,可以加密,可以加锁,可以跨应用,跨平台等等:网络,则用于比较重要的事情,比如科研,勘探,航空等实时采集到的数据需要马上通过网络传输到数据处理中心进行存储并进行处理,有实时性的需求等.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAk6WKz.html" rel="bookmark">Android开发笔记之Android中数据的存储方式（二）&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们在实际开发中,有的时候需要储存或者备份比较复杂的数据.这些数据的特点是,内容多.结构大,比如短信备份等.我们知道SharedPreferences和Files(文本文件)储存这种数据会非常的没有效率.如果学过JavaWeb的朋友,首先可能想到的是数据库.当然了数据库是一个方案,那么是否还有其他的解决方案呢?今天我们在讲下Android开发笔记之Android中数据的存储方式(一) 提到的除了SharedPreferences和Files(文本文件)以外的其他几种数据储存方式:xml文件.SQ			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5QOYAp.html" rel="bookmark">以代码实例总结iOS应用开发中数据的存储方式&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ios数据存储包括以下几种存储机制: 属性列表 对象归档 SQLite3 CoreData AppSettings 普通文件存储 1.属性列表 复制代码 代码如下: //  //  Persistence1ViewController.h  //  Persistence1  //  //  Created by liu lavy on 11-10-3.  //  Copyright 2011 __MyCompanyName__. All rights reserved.  //    #imp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b32Rj3z.html" rel="bookmark">Android随手笔记44之JSON数据解析&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JSON(JavaScript Object Notation)是一种轻量级的数据交换格式,采用完全独立于语言的文本格式,为Web应用开发提供了一种理想的数据交换格式. 本文将主要介绍在Android开发中,如何在服务器端创建JSON数据,以及如何在Android客户端对JSON数据进行解析. 1.JSON数据结构 在JSON中有两种数据结构:对象和数组. 1.1对象 在JSON中,一个对象以&quot;{&quot;(左括号)开始,&quot;}&quot;(右括号)结束.每个&quot;名称&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL50g8z.html" rel="bookmark">Android开发笔记之探秘WebView&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概述:            一个显示网页的视图.这个类是你可以滚动自己的Web浏览器或在你的Activity中简单地显示一些在线内容的基础.它使用了WebKit渲染引擎来显示网页,包括向前和向后导航的方法(通过历史记录),放大和缩小,执行文本搜索等.          需要注意的是:为了让你的应用能够使用WebView访问互联网和加载网页,你必须添加Internet的权限在Android Manifest文件中: &lt;uses-permission android:name=&quot;androi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3klQWb.html" rel="bookmark">Android随手笔记44之JSON数据解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JSON(JavaScript Object Notation)是一种轻量级的数据交换格式,采用完全独立于语言的文本格式,为Web应用开发提供了一种理想的数据交换格式. 本文将主要介绍在Android开发中,如何在服务器端创建JSON数据,以及如何在Android客户端对JSON数据进行解析. 1.JSON数据结构 在JSON中有两种数据结构:对象和数组. 1.1对象 在JSON中,一个对象以&quot;{&quot;(左括号)开始,&quot;}&quot;(右括号)结束.每个&quot;名称&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9Yk94M.html" rel="bookmark">Android开发之在程序中时时获取logcat日志信息的方法&lpar;附demo源码下载&rpar;&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android开发之在程序中时时获取logcat日志信息的方法.分享给大家供大家参考,具体如下: 今天分享一个在软件开发中很实用的例子,也是这几天在通宵加班中我使用的一个小例子, 在程序中监听Log信息. 为什么说它实用?原因是Android的开发厂商各种修改之后手机和手机之间以后存在很多差异.比如说魅族M9手机 开发中如果项目中涉及到访问手机系统的地方,例如访问系统短信库,M9手机它会提示一个dialog框 让用户自己去选择 访问还是不访问.这样就给开发适配带来了巨大的麻烦.本来			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwK5Zdz.html" rel="bookmark">Android开发笔记之&colon;AsyncTask的应用详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				AsyncTask的介绍及基本使用方法关于AsyncTask的介绍和基本使用方法可以参考官方文档和&lt;Android开发笔记之:深入理解多线程AsyncTask&gt;这里就不重复.AsyncTask引发的一个问题上周遇到了一个极其诡异的问题,一个小功能从网络上下载一个图片,然后放到ImageView中,是用AsyncTask来实现的,本身逻辑也很简单,仅是在doInBackground中用HTTP请求把图片的输入流取出,然后用BitmapFactory去解析,然后再把得到的Bitmap放到Image			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4Gdrp.html" rel="bookmark" class="title">在SQL中设置允许同时连接的用户数</a>
					<div>
						在SQL Server Enterprise Manager 中点击某个SQL Server的属性,选择connections项,在Maximum concurrent user(connection ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKw04p.html" rel="bookmark" class="title">汇编教程之进程</a>
					<div>
						本课中我们将学习:什么是进程?如何产生和终止一个进程? 初步知识: 进程是什么?下面是我从WIN32 API指南中节选的解释: &quot;一个进程是一个正在执行的应用程序,它包含有:私有的虚拟地址空 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7RQ3b.html" rel="bookmark" class="title">电脑病毒是怎样传染的</a>
					<div>
						在系统运行时,病毒通过病毒载体即系统的外存储器进入系统的内存储器,常驻内存.该病毒在系统内存中监视系统的运行,当它发现有攻击的目标存在并满足条件时,便从内存中将自身存入被攻击的目标,从而将病毒进行传播 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yVKkz.html" rel="bookmark" class="title">Redhat下安装RPM包管理工具介绍</a>
					<div>
						一.安装 命令格式: rpm -i ( or --install) options file1.rpm ... fileN.rpm 参数: file1.rpm ... fileN.rpm 将要安装的R ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKXBAM.html" rel="bookmark" class="title">中文路径导致unitpngfix&period;js不正常的解决方法</a>
					<div>
						本篇文章是对中文路径导致unitpngfix.js不正常的解决方法进行了详细的分析介绍,需要的朋友参考下   双击html页面在ie6里打开正常.但是发布到网站后,网站路径里有中文路径导致png图片不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6A3Dz.html" rel="bookmark" class="title">TP-Link路由器安装设置完整教程</a>
					<div>
						各种路由器的硬件安装,基本上都是一样的,有关路由器的安装,不在本文讨论范围,可以参考&lt;TP-link家庭无线路由安装及设置方法&gt;. 然而有关路由器的功能设置,各路由器的品牌不同,在操作上也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24JKZp.html" rel="bookmark" class="title">怎么设置Excel2007数据精度？</a>
					<div>
						  使用&quot;以显示精度为准&quot;选项会产生累积计算影响,使您的数据随着时间的推移越来越不准确.仅在您确定显示精度可以保持数据的精确度时才可以使用此选项. 1.单击&quot;Office ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGvPAp.html" rel="bookmark" class="title">Win7自带功能自由支配硬件升级</a>
					<div>
						  Win7自带评估功能 自由支配硬件升级 配置比较低的电脑运行Win7可能会感觉不太流畅,想换新电脑无奈囊中羞涩?其实,Win7系统对硬件的需求并不是很高,如果电脑中装了Win7以后感觉不太流畅,只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBr3Rz.html" rel="bookmark" class="title">酷我k歌声音太小怎么办</a>
					<div>
						  1.打开你电脑上的酷我K歌软件,可以一边放着歌一边调试,这样调的过程中你可以调到最适合自己的音量 2.在软件右下方有个音频视频,鼠标左键点开,你会看到一个对话框,降噪处理,麦克风增强,在麦克风增强 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZ6yvz.html" rel="bookmark" class="title">惠普桌面平板Envy Rove体验</a>
					<div>
						  继戴尔.索尼纷纷涉足触摸屏式平板一体机,PC大厂惠普也推出了类似的产品,名为Envy Rove,采用了20英寸触摸屏以及Windows 8系统,并且坚固的支架可以作为一个手柄,方便用户移动机身.当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8xvKb.html" rel="bookmark" class="title">c&num;-C&num;怎么对4个数字做全排列并赋值给4个变量？</a>
					<div>
						问题描述 C#怎么对4个数字做全排列并赋值给4个变量? 例如对已有的4个数字例如(1234)做全排列并赋值给a1a2a3a4?对每个a1a2a3a4的情况都要做一些操作的,就是想不明白怎么用循环之类的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1gLPb.html" rel="bookmark" class="title">图像技术在直播中的应用（上）&mdash;&mdash;美颜技术</a>
					<div>
						2016年作为视频直播元年,无论从资本层面不断高涨的估值,到平台主播各种天文数字的报酬,再到像&quot;局座&quot;这样的主流人士争相上直播,直播的社会热度可见一斑.而各大直播平台在经历了直播概 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVKBEb.html" rel="bookmark" class="title">oracle数据库字符集学习笔记</a>
					<div>
						一.什么是oracle字符集 oracle字符集实质就是按照一定的字符编码方案,对一组特定的符号,分别赋予不同数值编码的集合. 影响oracle数据库字符集最重要的参数是NLS_LANG参数. 它的格 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkkd4b.html" rel="bookmark" class="title">怎样使用c&plus;&plus;读取txt文件中的所有字符并输出，并在控制台排版</a>
					<div>
						问题描述 怎样使用c++读取txt文件中的所有字符并输出,并在控制台排版 在写一个小游戏时遇到点问题,虽然用额外代码完成了工作,但是觉得会有更正确的解决方法,恳请各位求教 问题分为两部分: 1.有一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQ9gWz.html" rel="bookmark" class="title">Office OpenXML-Excel&lpar;一&rpar;</a>
					<div>
						原文 http://www.cnblogs.com/changminglong/articles/2840004.html 适用于 2007 Microsoft Office 套件,Microsoft ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQ0nVz.html" rel="bookmark" class="title">CGIProxy 2&period;1&period;4发布 CGI脚本</a>
					<div>
						CGIProxy 是作为Internet代理的一个Perl CGI脚本.你可以通过它来检索你自己无法检索的机器资源,用户可以从任何服务器中保持为匿名用户,支持HTTP和FTP,以及可选的SSL.常见功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRnXgz.html" rel="bookmark" class="title">try catch-C&num; try和catch的用法。 异常</a>
					<div>
						问题描述 C# try和catch的用法. 异常 C#里面的执行顺序问题,如果在ListenSocket.Bind(ep)抛出异常,程序实惠直接跳转到 commonlog.Error( &quot;f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kwLoM.html" rel="bookmark" class="title">openfire插件开发  无法运行</a>
					<div>
						问题描述 openfire插件开发 无法运行 我准备对openfire做插件开发 但是源码下载下来后运行遇到这个问题 Exception in thread &quot;main&quot; java ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1G4oz.html" rel="bookmark" class="title">llegal tate xception-java&period;lang&period;IllegalStateException</a>
					<div>
						问题描述 java.lang.IllegalStateException 大神,求解,为什么会报这种错误java.lang.IllegalStateException: Fragment alread ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXolVz.html" rel="bookmark" class="title">PNG的增强格式：MNG&lbrack;转载&rsqb;</a>
					<div>
						Multiple-image Network Graphics (MNG)这种格式是从PNG格式发展来的一种新格式.由于PNG还不支持动画,所以作为一种解决方案,MNG格式的制定就成为理所当然的事.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRDgOb.html" rel="bookmark" class="title">哪些因素会影响到标题的展现量呢</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 在过去的一年里(2012年)受全球经济增长迟缓的影响,虽然中国电子商务市场整体增速整体有所回落,但是依然还是处于上升阶段.据艾瑞网统计数据显示,2012 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDPxaz.html" rel="bookmark" class="title">关于刷百度分享的一点心得体会</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 前言: 前段时间发现查看网站百度收 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKvmwb.html" rel="bookmark" class="title">c-定义一个数组存放数据和定义一个指针存放东西有什么区别</a>
					<div>
						问题描述 定义一个数组存放数据和定义一个指针存放东西有什么区别 定义一个数组存放数据和定义一个指针存放东西有什么区别,u8 a[]=&quot;adflkadjflkdjf&quot;和u8 *b=& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5e4Ep.html" rel="bookmark" class="title">绑定变量和BIND PEEKING</a>
					<div>
						http://www.oraclefans.cn/forum/showtopic.jsp?rootid=5467&amp;CPages=1 http://blog.csdn.net/tianlesof ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eEwPb.html" rel="bookmark" class="title">android-初学者eclipse安卓 manifest中报andriod属性未绑定</a>
					<div>
						问题描述 初学者eclipse安卓 manifest中报andriod属性未绑定 学习&lt;第一行代码&gt; 然后看书之后自己试一遍就报错....求指点 com.android.ide.eclip ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWLBrM.html" rel="bookmark" class="title">全球顶级黑客对决AI GeekPwn2017黑客大赛看点曝光</a>
					<div>
						2017年全球顶级白帽黑客最关注的未来网络安全发展方向和技术趋势是什么?作为全球最大关注智能生活的国际安全极客大赛,GeekPwn2017国际安全极客大赛将于10月24日及11月13日分别在上海及硅谷 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8O9ob.html" rel="bookmark" class="title">三星GALAXY E7怎么设置屏幕图案锁&quest;&lpar;E7000&rpar;</a>
					<div>
						屏幕图案锁的功能就是为了防止手机在未你的允许下其它人不能查看你手机中的数据与隐私了,具体我们来看看吧. 1. 在待机页面下,点击[应用程序].   . 点击[设定]. 3. 向上滑动屏幕,点击[锁定屏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZyX7z.html" rel="bookmark" class="title">C&plus;&plus;实现string存取二进制数据的方法&lowbar;C 语言</a>
					<div>
						本文实例讲述了C++实现string存取二进制数据的方法,分享给大家供大家参考.具体方法分析如下: 一般来说,STL的string很强大,用起来也感觉很舒服,这段时间在代码中涉及到了用string存取 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkjEXz.html" rel="bookmark" class="title">用JS实现轮播图效果（二）&lowbar;javascript技巧</a>
					<div>
						在上一篇用JS实现图片轮播效果代码(一)的基础上,增加了左右箭头的响应事件,实现了点击左右箭头也可以让图片滚动: js代码如下: window.onload = function(){ //轮播初始化 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2LeOz.html" rel="bookmark" class="title">C&num; SOCKET 如何实现一个文件从一台电脑指定位置传输到另外一台电能指定位置？？？？？</a>
					<div>
						问题描述 C#SOCKET如何实现一个文件从一台电脑指定位置传输到另外一台电能指定位置?????如果是从A到B,则软件在A上运行,B上不运行任务软件!谢谢各位高手!!!! 解决方案 解决方案二:soc ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
